= Security Scanning =
[[TOC(heading=About SecureCI™,depth=2,AboutSecureCI/*)]]

<% if ::File.directory?("#{node['ratproxy']['base_dir']}")  %>
== ratproxy ==

[http://code.google.com/p/ratproxy/ Ratproxy] is a web application security audit tool. It is a passive tool, watching 
data sent to and from the browser and the web application. It does not typically send extra requests or modify data 
being sent between the web application and the user (although it can, with the `-X` and `-C` options).

Ratproxy is a command-line tool that runs as a web proxy. A user can configure their browser to proxy traffic through 
ratproxy to the web application they want to audit. Then the user uses the web application in a normal manner. Once 
the user is finished, ratproxy is shut down and the log file can be parsed into a report of potential security problems.

A project could use a combination of [../Testing#Selenium Selenium] and ratproxy to
incorporate security scanning into the continuous integration process. 

 * [HowTo/UseRatproxy How do I use ratproxy to test my web application?]
 
=== Installation Details ===
Ratproxy is installed in `<%= node['ratproxy']['bin_dir'] %>`. The report script has been modified to allow static resources to be
accessed remotely. The modified source code is in `<%= node['ratproxy']['base_dir'] %>`.

<% end %>

<% if ::File.directory?("#{node['zap']['home']}") %>
== OWASP ZAP ==

[https://www.owasp.org/index.php/OWASP_Zed_Attack_Proxy_Project OWASP Zed Attack Proxy (ZAP)] is a penetration testing tool used to identify vulnerabilities within web applications. It has the capability to work as a proxy server and run tests, including crawling the web application, fuzzing inputs, and actively attacking it. 

For SecureCI, OWASP ZAP must be run in headless mode through its command-line interface. It can run as a web proxy and use a separate testing tool to progress through the given web application.

This can be achieved through a combination of [../Testing#Selenium Selenium] and OWASP Zap to
incorporate security scanning into the continuous integration process. 

 * [wiki:"HowTo/UseZAP" How do I use OWASP ZAP to scan my web application?]
 
=== Installation Details ===
OWASP ZAP is installed in `<%= node['zap']['home'] %>`.
A target output folder has been created for results and reports at `<%= node['zap']['output'] %>`.

<% end %>

<% if ::File.directory?("#{node['openscap']['home']}") %>

== OpenSCAP ==

[http://www.open-scap.org/ OpenSCAP] is a policy management tool developed and maintaind by NIST. It is used to identify poor configurations and indications of a compromise. 

For SecureCI, OpenSCAP can only be run locally. This will require target systems to install the application before running, which can be performed through Jenkins. 

OpenSCAP is a powerful tool with the potential to quickly scan new environments or webservers for vulnerabilities. This tool does not perform active attacks. It compares current system settings and configurations with established best practice baselines according to NIST. New templates can be imported from additional sources or created for a custom solution. 

 * [wiki:"HowTo/UseOpenSCAP" How do I use OpenSCAP to scan my web application servers?]


=== Installation Details ===
OpenSCAP is installed in `<%= node['openscap']['home'] %>`.
A target output folder has been created for results and reports at `<%= node['openscap']['output'] %>`.

<% end %>

<%= node['trac']['wiki']['footer'] %>